View Issue Details

IDProjectCategoryView StatusLast Update
0000039Multi Theft AutoOtherpublic2015-08-25 08:09
ReporterCallum Assigned Toixjf  
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Target Version0.6Fixed in Version0.6 
Summary0000039: Rewrite chat handling for server and client
DescriptionRewrite how both the client and server handle chat packets. Currently it is very inefficient and spans hundreds of lines of code. Surely it could be rewritten using more modern functions, and more compact.
TagsNo tags attached.

Relationships

related to 0000066 assignedixjf Remote Server Administrator Rewrite chat handling 

Activities

SugarD-x

SugarD-x

2012-09-10 22:57

administrator   ~0000020

This may be possible during the open-sourcing process when the netcode is hidden from public view.

Issue History

Date Modified Username Field Change
2012-09-09 12:51 Callum New Issue
2012-09-10 22:57 SugarD-x Note Added: 0000020
2015-04-14 08:31 SugarD-x Relationship added related to 0000066
2015-07-21 04:19 ixjf Assigned To => ixjf
2015-07-21 04:19 ixjf Status new => assigned
2015-08-25 08:09 ixjf Status assigned => resolved
2015-08-25 08:09 ixjf Resolution open => fixed
2015-08-25 08:09 ixjf Status resolved => feedback
2015-08-25 08:09 ixjf Resolution fixed => reopened
2015-08-25 08:09 ixjf Status feedback => resolved
2015-08-25 08:09 ixjf Fixed in Version => 0.6
2015-08-25 08:09 ixjf Resolution reopened => fixed